%define liblocation /usr/lib/gcc/i386-redhat-linux/3.4.3/libg2c.a
#
Summary: Fixes the lack of a sym link to /usr/lib/libg2c.a
Name: SL_libg2c.a_change
Version: 3.4.3
Release: 1
Copyright: GPL
Group: SL
Vendor: Scientific Linux
Packager: Troy Dawson
requires: gcc-g77
Obsoletes: zz_libg2c.a_change
BuildArchitectures: noarch
%description
There is a symbolic link missing in the gcc-g77 package from /usr/lib/libg2c.a
to %{liblocation}.  
This adds that symbolic link.

%files
%post
if [ ! -L /usr/lib/libg2c.a ]
then
  if [ -f %{liblocation} ]
  then
        ln -s %{liblocation} /usr/lib/libg2c.a
  fi
else  # Already a link.  Probably from our last version. So make sure
      # we have the new version and then remove the old link and link in the new
  if [ -f %{liblocation} ] 
  then
	rm /usr/lib/libg2c.a
	ln -s %{liblocation} /usr/lib/libg2c.a
  fi
fi
%postun
if [ "$1" = "0" ] ; then
	if [ -L /usr/lib/libg2c.a ]
	then
		rm -f /usr/lib/libg2c.a
	fi
fi
